Package org.jfree.layouting.modules.output.pdf

## Class PdfOutputModule

- java.lang.Object
- - org.pentaho.reporting.libraries.base.boot.DefaultModuleInfo
  - - org.pentaho.reporting.libraries.base.boot.AbstractModule
    - - org.jfree.layouting.modules.output.pdf.PdfOutputModule

-     public class PdfOutputModule
      extends org.pentaho.reporting.libraries.base.boot.AbstractModule

  Creation-Date: 02.12.2006, 17:02:40
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `SECURITY_ENCRYPTION_128BIT` | A constant for the encryption type (128 bit).
    `static java.lang.String` | `SECURITY_ENCRYPTION_40BIT` | A constant for the encryption type (40 bit).
    `static java.lang.String` | `SECURITY_ENCRYPTION_NONE` | A constant for the encryption type (40 bit).

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PdfOutputModule​()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.pentaho.reporting.libraries.fonts.itext.ITextFontRegistry` | `getFontRegistry​()` |
    `void` | `initialize​(org.pentaho.reporting.libraries.base.boot.SubSystem subSystem)` | Initialialize the font factory when this class is loaded and the system property of `"org.jfree.report.modules.output.pageable.itext.PDFOutputTarget.AutoInit"` is set to `true`.

    - ### Methods inherited from class org.pentaho.reporting.libraries.base.boot.AbstractModule

      `configure, getDescription, getName, getOptionalModules, getProducer, getRequiredModules, getSubSystem, isClassLoadable, loadModuleInfo, loadModuleInfo, performExternalInitialize, performExternalInitialize, setDescription, setName, setOptionalModules, setProducer, setRequiredModules, setSubSystem, toString`

    - ### Methods inherited from class org.pentaho.reporting.libraries.base.boot.DefaultModuleInfo

      `equals, getMajorVersion, getMinorVersion, getModuleClass, getPatchLevel, hashCode, setMajorVersion, setMinorVersion, setModuleClass, setPatchLevel`

    - ### Methods inherited from interface org.pentaho.reporting.libraries.base.boot.ModuleInfo

      `getMajorVersion, getMinorVersion, getModuleClass, getPatchLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SECURITY_ENCRYPTION_NONE

          public static final java.lang.String SECURITY_ENCRYPTION_NONE

      A constant for the encryption type (40 bit).
      See Also:
        Constant Field Values

    - #### SECURITY_ENCRYPTION_40BIT

          public static final java.lang.String SECURITY_ENCRYPTION_40BIT

      A constant for the encryption type (40 bit).
      See Also:
        Constant Field Values

    - #### SECURITY_ENCRYPTION_128BIT

          public static final java.lang.String SECURITY_ENCRYPTION_128BIT

      A constant for the encryption type (128 bit).
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PdfOutputModule

          public PdfOutputModule​()
                          throws org.pentaho.reporting.libraries.base.boot.ModuleInitializeException

      Throws:
        `org.pentaho.reporting.libraries.base.boot.ModuleInitializeException`

  - ### Method Detail

    - #### getFontRegistry

          public static org.pentaho.reporting.libraries.fonts.itext.ITextFontRegistry getFontRegistry​()

    - #### initialize

          public void initialize​(org.pentaho.reporting.libraries.base.boot.SubSystem subSystem)
                          throws org.pentaho.reporting.libraries.base.boot.ModuleInitializeException

      Initialialize the font factory when this class is loaded and the system property of `"org.jfree.report.modules.output.pageable.itext.PDFOutputTarget.AutoInit"` is set to `true`.
      Throws:
        `org.pentaho.reporting.libraries.base.boot.ModuleInitializeException` - if an error occured.